summaryrefslogtreecommitdiffstats
path: root/testcases/features/sfc/compute_presetup_CI.bash
diff options
context:
space:
mode:
authorvalentin boucher <valentin.boucher@orange.com>2016-08-07 11:03:01 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2016-08-07 11:03:01 +0000
commit31e762a8c7b7d8c873434884b4fdea3bf9861c97 (patch)
treef9f916c57d0696a1813f04f480e01333496021f8 /testcases/features/sfc/compute_presetup_CI.bash
parent89866b7d0297f132390101d894d0fc0b68fb51b8 (diff)
parente9713403a50f6a71aeaa49c07145795e15d2b45f (diff)
Merge "Bug fixes odl-sfc + new features"
Diffstat (limited to 'testcases/features/sfc/compute_presetup_CI.bash')
-rwxr-xr-xtestcases/features/sfc/compute_presetup_CI.bash21
1 files changed, 21 insertions, 0 deletions
diff --git a/testcases/features/sfc/compute_presetup_CI.bash b/testcases/features/sfc/compute_presetup_CI.bash
new file mode 100755
index 000000000..57d3d8278
--- /dev/null
+++ b/testcases/features/sfc/compute_presetup_CI.bash
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+# This script must be use with vxlan-gpe + nsh. Once we have eth + nsh support
+# in ODL, we will not need it anymore
+
+set -e
+ssh_options='-o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no'
+BASEDIR=`dirname $0`
+INSTALLER_IP=${INSTALLER_IP:-10.20.0.2}
+
+pushd $BASEDIR
+ip=`sshpass -p r00tme ssh $ssh_options root@${INSTALLER_IP} 'fuel node'|grep compute|\
+awk '{print $10}' | head -1`
+
+echo $ip
+sshpass -p r00tme scp $ssh_options correct_classifier.bash ${INSTALLER_IP}:/root
+sshpass -p r00tme ssh $ssh_options root@${INSTALLER_IP} 'scp correct_classifier.bash '"$ip"':/root'
+
+sshpass -p r00tme ssh $ssh_options root@${INSTALLER_IP} 'ssh root@'"$ip"' ifconfig br-int up'
+sshpass -p r00tme ssh $ssh_options root@${INSTALLER_IP} 'ssh root@'"$ip"' ip route add 11.0.0.0/24 \
+dev br-int'